// Prevent "more" messages from appearing
set more off
// Control line length
set linesize 150

// Define working directory for HW data -- replace my example below in quotes
cd "C:\Dropbox\23_PSQF7375_AdvLong\PSQF7375_AdvLong_Example4b"

// Import Example4b stacked data from excel in sheet "Data"
clear // clear memory in case a dataset is already open
import excel "AdvLong_Example4b.xlsx", firstrow case(preserve) clear sheet("Data")


///////// BEGIN MULTILEVEL MODELS FOR EXAMPLE 4B STACKED DATA /////////

// Open external file to save results to
log using AdvLong_Example4b_STATA_Output.log, replace  

display "Step 1: X Stressors Predicting Symptoms Y"
mixed symptoms c.women c.age80 c.stressor c.PMstress40 ///
               c.women#c.age80,  || PersonID: , mle nolog 
lincom c.stressor*1 + c.PMstress40*1 // BP X to Y Effect

display "Step 2ish: M Mood Predicting Symptoms Y"
mixed symptoms c.women c.age80 c.mood2 c.PMmood2  ///
               c.women#c.age80,  || PersonID: , mle nolog 
lincom c.mood2*1 + c.PMmood2*1 // BP M to Y Effect
       
// Close external file of saved results
log close  




       
       



